/***************************************************************
 * Name:      wx016App.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2025-01-04
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "wx016App.h"
#include "wx016Main.h"
#include "icono.xpm"

IMPLEMENT_APP(wx016App);

bool wx016App::OnInit()
{
    wx016Frame* frame = new wx016Frame(0L, _("wxWidgets Ejemplo 16"));
    wxImage::AddHandler(new wxXPMHandler);
    wxIcon ic(icono_xpm);
    frame->SetIcon(ic); // To Set App Icon
    frame->Show();

    return true;
}
